/* Background */
body {
    height: 100vh;
    width: 100%;
    cursor: pointer;
    background: linear-gradient(45deg, #ff00cc, #00ffcc, #cc00ff, #ff00cc);
    background-size: 400% 400%;
    animation: gradientAnimation 15s infinite;
    overflow: hidden;
    background-attachment: fixed;
    font-family: 'Comfortaa', sans-serif;
    visibility: hidden;
    
}

@keyframes gradientAnimation {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

/* Containor */

.con {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    width: 90%;
    height: 90%;
    cursor: default;
    overflow-y: scroll;
}

.container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    max-width: 300px;
    width: 100%;
    cursor: default;
}

.back {
    position: relative;
    cursor: default;
}

/* Inputs */

input[type="text"],
input[type="password"],
input[type="email"],
input[type="submit"],
select{
    width: 90%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

input[type="submit"] {
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    display: block;
    margin: 0 auto;
}

button {
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    display: block;
    margin: 0 auto;
}

button:hover {
    background-color: #0056b3;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}

a {
    display: block;
    color: #007bff;
    text-align: center;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

/* Side nav */

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a{
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}





.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}



@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

.circle-btn {
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 1;
    width: 50px;
    height: 50px;
    background-color: #333;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s;
}

.circle-btn:hover {
    background-color: #ff00cc;
    transform: scale(1.1);
}


        .hat {
            position: absolute;
            top: -20px; /* Adjust the positioning of the hat */
            width: 30px; /* Adjust size of the hat */
            height: 30px; /* Adjust size of the hat */
            left: 50%;
            transform: translateX(-50%);
        }


/* Breack timeings */

#popup {
    display: none;
    cursor: default;
    position: fixed;
    top: 10%;
    right: 0;
    background-color: #4CAF50;
    color: #fff;
    padding: 20px;
    border-radius: 10px 0 0 10px;
    transform: translateY(-50%);
    z-index: 1000;
}

/* tockens */

.tockes{
    color: #ffffff;
}

/*Code*/
.code {
    background: #e0e0e0;
    padding: 10px;
    border-radius: 5px;
    text-align: left;
}


.copy-button {
    float: right;
    padding: 5px 10px;
    background: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
